Subject: Re: xfree86 fails to see/render TrueType fonts
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 11 Nov 2003 11:31:36 -0500

On Tue, Nov 11, 2003 at 08:26:20AM -0800, Michael Bax wrote:
>XFree86 fails to render TTF fonts on my computer.  This is true for the
>bundled fonts/TTF/* as well as the Windows fonts.

This is not the right mailing list for cygwin-xfree observations.

Redirecting.

>There are two problems:
>
>1. XFree86 does not appear to include the X11 fonts/TTF directory in the
>font path by default.  This can be shown by removing the Luxi fonts in the
>fonts/Type1 directory and rehashing.  The server should use the TTF versions
>instead, but it does not see these fonts at all.  This can be fixed using
>xset fp+, but surely the TTF font directory should be included in the path
>by default?
>
>2. After xset fp+ and rehash, the TrueType fonts are listed in e.g.
>xfontsel.  However, they are not rendered (or are rendered blank)!  The same
>is true for my custom-installed TrueType fonts.  They worked in XFree86 3.x,
>however, using the same installation procedure.
>
>Other fonts are fine, but all TrueType fonts are effectively invisible.
>
>This is on a fresh installation of Cygwin DLL 1.5.5-1 running on Windows
>2000 SP4, with XFree86-bin-4.3.0-6.
>
>Cheers
>Michael

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/